<bugID>890130<Summary>Background thumbnails should timeout based on when item is processed rather than when queued.</Summary><Description>The background thumbnail service currently starts the timeout for an item when it is added to the queue rather than when it gets to the head of the queue and starts being processed.  This means if a large number of items are queued, there is a real risk items will timeout before they even start being captured.  The timeout should be applied from the time the item starts being processed.</Description></bugID>